using Model;
using Model.Serialization;
using Model.Stub;
using System.Collections.ObjectModel;

namespace Linaris;

public partial class LocalFilesPage : ContentPage
{

    private ObservableCollection<CustomTitle> customTitles = App.Manager.GetCustomTitles();

    public ObservableCollection<CustomTitle> CustomTitles
    {
        get => customTitles;
    }

    public LocalFilesPage()
    {
        InitializeComponent();
        BindingContext = this;
    }

    void AddCustomTitle(object sender, EventArgs e)
    {
        App.Manager.AddCustomTitle(new CustomTitle());
        customTitles = App.Manager.GetCustomTitles();
    }
}
